Next: IBSET, Previous: IBCLR, Up: Intrinsic Procedures

### 8.118 `IBITS` — Bit extraction

Description:
  `IBITS` extracts a field of length LEN from I, starting from bit position POS and extending left for LEN bits. The result is right-justified and the remaining bits are zeroed. The value of `POS+LEN` must be less than or equal to the value `BIT_SIZE(I)`.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `RESULT = IBITS(I, POS, LEN)`
Arguments:

  I | The type shall be `INTEGER`.
  POS | The type shall be `INTEGER`.
  LEN | The type shall be `INTEGER`.

Return value:
  The return value is of type `INTEGER` and of the same kind as I.
See also:
  BIT_SIZE, IBCLR, IBSET, IAND, IOR, IEOR